---
title: "Number of warranties"
url: "https://developer.migros.ch/apis/layout-api-1/versions/ba4ab42c-2abb-4848-ba02-96d8671a0622/operations/warrantyCount"
---

> Full API specification: https://developer.migros.ch/apis/layout-api-1/versions/ba4ab42c-2abb-4848-ba02-96d8671a0622.md

# Number of warranties

`GET` `/migros/customers/warranties/v1/count/{cumulus}`

Operation ID: `warrantyCount`

Number of warranties issued between from and today.

## Path parameters

- `cumulus` (integer, required) - Cumulus Number

## Query parameters

- `from` (string, date, optional) - start date If omited it defaults to "3 years and 2 months ago".

## Responses

- `200` - The number of all warranties and the still valid ones.

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Layout-API
  version: 1.3.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/customers/warranties/v1/count/{cumulus}:
    get:
      description: Number of warranties issued between from and today.
      operationId: warrantyCount
      parameters:
        - $ref: "#/components/parameters/cumulus"
        - $ref: "#/components/parameters/from3a"
      responses:
        "200":
          content:
            application/json:
              schema:
                example:
                  total: 34
                  valid: 21
                properties:
                  total:
                    type: integer
                  valid:
                    type: integer
                required:
                  - total
                  - valid
                type: object
          description: The number of all warranties and the still valid ones.
      summary: Number of warranties
      tags:
        - Warranty
security:
  - Kong-Api-Key: []
components:
  parameters:
    cumulus:
      description: Cumulus Number
      example: 2099123456789
      in: path
      name: cumulus
      required: true
      schema:
        maximum: 2099999999999
        minimum: 2098000000000
        type: integer
    from3a:
      description: |-
        start date
        If omited it defaults to "3 years and 2 months ago".
      example: 2019-03-17
      in: query
      name: from
      required: false
      schema:
        format: date
        type: string
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
